Package org.gradle.tooling.model.idea

## Interface IdeaJavaLanguageSettings

-     public interface IdeaJavaLanguageSettings

  Describes Java language settings for an IDEA module.
  Since:
    2.11

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InstalledJdk` | `getJdk()` | Returns the JDK used for building.
    `JavaVersion` | `getLanguageLevel()` | Returns the Java language level.
    `JavaVersion` | `getTargetBytecodeVersion()` | Returns the target bytecode level.

- - ### Method Detail

    - #### getLanguageLevel

          JavaVersion getLanguageLevel()

      Returns the Java language level.
      Returns:
        The language level, or `null` if this value should be inherited.

    - #### getTargetBytecodeVersion

          JavaVersion getTargetBytecodeVersion()
                                        throws UnsupportedMethodException

      Returns the target bytecode level.
      Returns:
        The target bytecode language level, or `null` if this value should be inherited.
      Throws:
        `UnsupportedMethodException` - For provider Gradle versions older than 2.11, where this method is not supported.

    - #### getJdk

          InstalledJdk getJdk()
                       throws UnsupportedMethodException

      Returns the JDK used for building.
      Returns:
        The JDK, or `null` if this value should be inherited.
      Throws:
        `UnsupportedMethodException` - For provider Gradle versions older than 2.11, where this method is not supported.